Package org.codehaus.groovy.ast.decompiled

## Class ClassStub

- java.lang.Object
- - org.codehaus.groovy.ast.decompiled.ClassStub

-     public class ClassStub
      extends Object

  Data structures holding class info to enable lazy loading

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClassStub​(String className, int accessModifiers, String signature, String superName, String[] interfaceNames)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassStub

          public ClassStub​(String className,
                           int accessModifiers,
                           String signature,
                           String superName,
                           String[] interfaceNames)